Page MenuHomePhabricator

Renaming Phabricator project breaks links (doesn't create redirects)
Closed, ResolvedPublic

Description

According to T43#15315, renaming a Phabricator project breaks links because Phabricator doesn't create redirects. Phabricator should probably support graceful renames (leaving behind a redirect and not breaking links), similar to how MediaWiki behaves.

Even adding alternative hashtags doesn't solve this issue, as, for example, https://phabricator.wikimedia.org/tag/MediaWiki-extensions-Flow/ does not redirect to https://phabricator.wikimedia.org/tag/flow/

Event Timeline

MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride changed Security from none to None.
MZMcBride added subscribers: MZMcBride, chasemp.
Qgil triaged this task as Lowest priority.Oct 26 2014, 3:14 AM
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.
Liuxinyu970226 raised the priority of this task from Lowest to Normal.EditedNov 17 2014, 10:26 AM
Liuxinyu970226 lowered the priority of this task from Normal to Lowest.

psst, the subscribed page allows changing priority too

Qgil added a subscriber: Qgil.Nov 28 2014, 10:23 PM

The solution we are applying currently is to add the former project name as
additional hash tag manually when renaming a project. See
http://m.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Renaming_projects

Explicitly upstreamed as https://secure.phabricator.com/T7092 . Can we add the Wikimedia umbrella to this? There doesn't seem to be a workaround, and this breaks the rename workflow.

The https://phabricator.wikimedia.org/tag/MediaWiki-extensions-Flow/ vs https://phabricator.wikimedia.org/tag/flow/ is interesting. It does work in the case of say https://phabricator.wikimedia.org/tag/opsen/ vs https://phabricator.wikimedia.org/tag/operations/.

So there are two issues I think. One is "making a project name create an automatic alternative hashtag by default", and the other is "some alternative hashtags do not redirect as intended".

Just wanted to clarify that, both issues seem credible and @Qgil I would imagine will be ok with adding the #wikimedia tag to upstream T7092. Thanks @valhallasw

Yes, there are at least two separate issues here, hence my separate report. But looks like upstream wants to handle together anyway.

The PHID is static, yes

Thanks.

Qgil closed this task as Resolved.Feb 19 2015, 2:09 PM
Qgil claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM